Bug 95408 - install over serial console does not work as documented
Summary: install over serial console does not work as documented
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-06 13:30 UTC by Hartmut Brandt
Modified: 2017-12-31 22:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hartmut Brandt freebsd_committer 2006-04-06 13:30:20 UTC
The installation document describes a procedure to install on i386 over a 
serial console. It recommends to either unplug the keyboard or to interrupt the boot and boot with boot -h.

Boot -h turns out not to work. While all the kernel messages from the probing
appear on both the normal console and the serial one, after mounting the root
file system the system switches entirely to the normal console.

Instead the following procedure will do it (but require at least a keyboard on the machine in question):

- interrupt the boot in the boot menu by pressing 6
- enter the following lines:

set boot_multicons="YES"
set boot_serial="YES"
set console="comconsole"
boot

(I got this from Dmitriy Kirhlarov <dimma at higis.ru>)

Fix: 

Fix the documentation (see above).
How-To-Repeat: Burn a install CD and try a serial install according to the current documentation
Comment 1 John Baldwin freebsd_committer freebsd_triage 2006-04-06 16:58:20 UTC
On Thursday 06 April 2006 08:29, Harti Brandt wrote:
> 
> >Number:         95408
> >Category:       docs
> >Synopsis:       install over serial console does not work as documented
> >Confidential:   no
> >Severity:       serious
> >Priority:       low
> >Responsible:    freebsd-doc
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          doc-bug
> >Submitter-Id:   current-users
> >Arrival-Date:   Thu Apr 06 12:30:20 GMT 2006
> >Closed-Date:
> >Last-Modified:
> >Originator:     Harti Brandt
> >Release:        6.1-beta4
> >Organization:
> DLR
> >Environment:
> >Description:
> The installation document describes a procedure to install on i386 over a 
> serial console. It recommends to either unplug the keyboard or to interrupt the boot and boot with boot -h.
> 
> Boot -h turns out not to work. While all the kernel messages from the probing
> appear on both the normal console and the serial one, after mounting the root
> file system the system switches entirely to the normal console.
> 
> Instead the following procedure will do it (but require at least a keyboard on the machine in question):
> 
> - interrupt the boot in the boot menu by pressing 6
> - enter the following lines:
> 
> set boot_multicons="YES"
> set boot_serial="YES"
> set console="comconsole"
> boot

Are you doing 'boot -h' at the loader prompt?  I think all you need to do is
break into the loader and do:

set console="comconsole vidconsole"

instead.

-- 
John Baldwin <jhb@FreeBSD.org>  <><  http://www.FreeBSD.org/~jhb/
"Power Users Use the Power to Serve"  =  http://www.FreeBSD.org
Comment 2 hartmut.brandt 2006-04-06 17:11:10 UTC
On Thu, 6 Apr 2006, John Baldwin wrote:

JB>On Thursday 06 April 2006 08:29, Harti Brandt wrote:
JB>> 
JB>> >Number:         95408
JB>> >Category:       docs
JB>> >Synopsis:       install over serial console does not work as documented
JB>> >Confidential:   no
JB>> >Severity:       serious
JB>> >Priority:       low
JB>> >Responsible:    freebsd-doc
JB>> >State:          open
JB>> >Quarter:        
JB>> >Keywords:       
JB>> >Date-Required:
JB>> >Class:          doc-bug
JB>> >Submitter-Id:   current-users
JB>> >Arrival-Date:   Thu Apr 06 12:30:20 GMT 2006
JB>> >Closed-Date:
JB>> >Last-Modified:
JB>> >Originator:     Harti Brandt
JB>> >Release:        6.1-beta4
JB>> >Organization:
JB>> DLR
JB>> >Environment:
JB>> >Description:
JB>> The installation document describes a procedure to install on i386 over a 
JB>> serial console. It recommends to either unplug the keyboard or to interrupt the boot and boot with boot -h.
JB>> 
JB>> Boot -h turns out not to work. While all the kernel messages from the probing
JB>> appear on both the normal console and the serial one, after mounting the root
JB>> file system the system switches entirely to the normal console.
JB>> 
JB>> Instead the following procedure will do it (but require at least a keyboard on the machine in question):
JB>> 
JB>> - interrupt the boot in the boot menu by pressing 6
JB>> - enter the following lines:
JB>> 
JB>> set boot_multicons="YES"
JB>> set boot_serial="YES"
JB>> set console="comconsole"
JB>> boot
JB>
JB>Are you doing 'boot -h' at the loader prompt?  I think all you need to do is
JB>break into the loader and do:
JB>
JB>set console="comconsole vidconsole"

As I said I did what the documentation says: press 6 when the menu appears 
and then say boot -h. This should be the load prompt, I think?

If one is supposed to use the 'set console' instead of boot -h we should 
just fix the documentation.

harti

JB>instead.
Comment 3 Remko Lodder freebsd_committer 2006-04-07 11:58:26 UTC
Responsible Changed
From-To: freebsd-doc->remko

I will work on this (got valueable feedback from harti which 
i can use to update the docs).
Comment 4 John Baldwin freebsd_committer freebsd_triage 2006-04-10 19:03:41 UTC
On Thursday 06 April 2006 12:11, Harti Brandt wrote:
> On Thu, 6 Apr 2006, John Baldwin wrote:
> 
> JB>On Thursday 06 April 2006 08:29, Harti Brandt wrote:
> JB>> 
> JB>> >Number:         95408
> JB>> >Category:       docs
> JB>> >Synopsis:       install over serial console does not work as documented
> JB>> >Confidential:   no
> JB>> >Severity:       serious
> JB>> >Priority:       low
> JB>> >Responsible:    freebsd-doc
> JB>> >State:          open
> JB>> >Quarter:        
> JB>> >Keywords:       
> JB>> >Date-Required:
> JB>> >Class:          doc-bug
> JB>> >Submitter-Id:   current-users
> JB>> >Arrival-Date:   Thu Apr 06 12:30:20 GMT 2006
> JB>> >Closed-Date:
> JB>> >Last-Modified:
> JB>> >Originator:     Harti Brandt
> JB>> >Release:        6.1-beta4
> JB>> >Organization:
> JB>> DLR
> JB>> >Environment:
> JB>> >Description:
> JB>> The installation document describes a procedure to install on i386 over a 
> JB>> serial console. It recommends to either unplug the keyboard or to interrupt the boot and boot with boot -h.
> JB>> 
> JB>> Boot -h turns out not to work. While all the kernel messages from the probing
> JB>> appear on both the normal console and the serial one, after mounting the root
> JB>> file system the system switches entirely to the normal console.
> JB>> 
> JB>> Instead the following procedure will do it (but require at least a keyboard on the machine in question):
> JB>> 
> JB>> - interrupt the boot in the boot menu by pressing 6
> JB>> - enter the following lines:
> JB>> 
> JB>> set boot_multicons="YES"
> JB>> set boot_serial="YES"
> JB>> set console="comconsole"
> JB>> boot
> JB>
> JB>Are you doing 'boot -h' at the loader prompt?  I think all you need to do is
> JB>break into the loader and do:
> JB>
> JB>set console="comconsole vidconsole"
> 
> As I said I did what the documentation says: press 6 when the menu appears 
> and then say boot -h. This should be the load prompt, I think?
> 
> If one is supposed to use the 'set console' instead of boot -h we should 
> just fix the documentation.

Ah.  boot -Dh from the boot2 prompt should work fine.  At the loader it would
probably be best to just do 'set console="comconsole vidconsole"' if you still
want the dual consoles up until single user mode.  Otherwise, if you just want
the serial console, 'set console="comconsole"' is probably best.

-- 
John Baldwin <jhb@FreeBSD.org>  <><  http://www.FreeBSD.org/~jhb/
"Power Users Use the Power to Serve"  =  http://www.FreeBSD.org
Comment 5 Remko Lodder freebsd_committer 2012-09-27 08:44:21 UTC
Responsible Changed
From-To: remko->freebsd-doc

I have held this locked for too long, reassign to the pool
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:17 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped